package de.dhsn.oop.ui;

import de.dhsn.oop.data.TextTodoItem;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class NewTodoItemView extends JFrame implements ActionListener {
    JTextField input = new JTextField();
    JButton submit = new JButton("OK");
    TodoListView view;

    public NewTodoItemView(TodoListView view){
        this.view = view;
        this.setMaximumSize(new Dimension(200,70));
        this.setSize(new Dimension(200,70));
        setLayout(new BorderLayout());
        add(new Label("Text: "), BorderLayout.LINE_START);
        add(input, BorderLayout.CENTER);
        submit.addActionListener(this);
        add(submit, BorderLayout.LINE_END);
        setVisible(true);
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        //hand data back to parent windwo
        view.addCallback(new TextTodoItem(input.getText().trim()));
        //close and gc this window
        setVisible(false);
        dispose();
    }
}
